# Uses of Interface
org.apache.lucene.queries.payloads.PayloadDecoder

Packages that use PayloadDecoder
Package
Description
org.apache.lucene.queries.payloads
The payloads package provides Query mechanisms for finding and using payloads.

- ## Uses of PayloadDecoder in org.apache.lucene.queries.payloads

  Fields in org.apache.lucene.queries.payloads declared as PayloadDecoder
  Modifier and Type
  Field
  Description
  `static final PayloadDecoder`
  PayloadDecoder.`FLOAT_DECODER`
  A `PayloadDecoder` that interprets the bytes of a payload as a float
  Constructors in org.apache.lucene.queries.payloads with parameters of type PayloadDecoder
  Modifier
  Constructor
  Description
  ``
  `PayloadScoreQuery(SpanQuery wrappedQuery, PayloadFunction function, PayloadDecoder decoder)`
  Creates a new PayloadScoreQuery that includes the underlying span scores
  ``
  `PayloadScoreQuery(SpanQuery wrappedQuery, PayloadFunction function, PayloadDecoder decoder, boolean includeSpanScore)`
  Creates a new PayloadScoreQuery